Bug 1084500 - firefox segfaults when closing
firefox segfaults when closing
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Firefox
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Mozilla Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-08 12:51 UTC by Dominique Leuenberger
Modified: 2020-07-29 07:23 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-03-08 12:51:02 UTC
This was identified as a fallout on openQA, like

https://openqa.opensuse.org/tests/629251#step/khelpcenter/4

The firefox test seems to have passed just fine, but when closing it, triggers a segfault which is then spawning coredump generation. On the Live, this is quickly running out of space.

Fabian could reproduce it and it seems FF segfaults whenever its being closed, with a trace like this:

#0  0x00007f6a4e14c6c1 in mozilla::TimeStamp::Now() () at /home/abuild/rpmbuild/BUILD/obj/dist/include/mozilla/TimeStamp.h:465
#1  0x00007f6a4e14c6c1 in ThreadInfo::NotifyUnregistered() (this=0x7f6a5ab7f230) at /usr/src/debug/MozillaFirefox-58.0.2-1.2.x86_64/tools/profiler/core/ThreadInfo.h:186
#2  0x00007f6a4e14c6c1 in profiler_unregister_thread() () at /usr/src/debug/MozillaFirefox-58.0.2-1.2.x86_64/tools/profiler/core/platform.cpp:3068
#3  0x00007f6a4b45fa53 in nsHostResolver::ThreadFunc(void*) (arg=0x7f6a5ab7f230) at /usr/src/debug/MozillaFirefox-58.0.2-1.2.x86_64/netwerk/dns/nsHostResolver.cpp:1525
#4  0x00007f6a4a30d21b in  () at /usr/lib64/libnspr4.so
#5  0x00007f6a5bc44558 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f6a5b1d872f in clone () at /lib64/libc.so.6
Comment 2 Martin Loviska 2018-10-18 12:56:51 UTC
I think we are dealing with the same issue or maybe this one is a bit different since dbus-daemon generates a call trace also.

Oct 18 08:06:41 susetest systemd[2232]: Starting Exit the Session...
Oct 18 08:06:41 susetest systemd[1]: Stopping User Manager for UID 0...
Oct 18 08:06:41 susetest systemd[2232]: Received SIGRTMIN+24 from PID 4794 (kill).
Oct 18 08:06:41 susetest systemd[1]: Stopped User Manager for UID 0.
Oct 18 08:06:41 susetest systemd[1]: Removed slice User Slice of root.
Oct 18 08:06:45 susetest login[2521]: pam_unix(login:session): session closed for user linux
Oct 18 08:06:45 susetest systemd[1]: getty@tty4.service: Service has no hold-off time (RestartSec=0), scheduling restart.
Oct 18 08:06:45 susetest systemd[1]: getty@tty4.service: Scheduled restart job, restart counter is at 1.
Oct 18 08:06:45 susetest systemd-logind[976]: Removed session 3.
Oct 18 08:06:45 susetest systemd[1]: Stopped Getty on tty4.
Oct 18 08:06:45 susetest systemd[1]: Started Getty on tty4.
Oct 18 08:11:24 susetest dbus-daemon[1637]: [session uid=1000 pid=1637] Activating service name='org.freedesktop.thumbnails.Thumbnailer1' requested by ':1.66' (uid=1000 pid=5130 comm="ristretto /usr/share/wallpapers/xfce/default.wallp")
Oct 18 08:11:49 susetest org.freedesktop.thumbnails.Thumbnailer1[1637]: Registered thumbailer evince-thumbnailer -s %s %u %o
Oct 18 08:11:49 susetest org.freedesktop.thumbnails.Thumbnailer1[1637]: Registered thumbailer /usr/bin/gdk-pixbuf-thumbnailer -s %s %u %o
Oct 18 08:11:51 susetest dbus-daemon[1637]: [session uid=1000 pid=1637] Successfully activated service 'org.freedesktop.thumbnails.Thumbnailer1'
Oct 18 08:12:06 susetest kernel: sysrq: SysRq : Show Blocked State
Oct 18 08:12:07 susetest kernel:   task                        PC stack   pid father
Oct 18 08:12:07 susetest kernel: InputThread     D    0  1598   1471 0x00400000
Oct 18 08:12:07 susetest kernel: Call Trace:
Oct 18 08:12:07 susetest kernel:  ? __schedule+0x29a/0x880
Oct 18 08:12:07 susetest kernel:  schedule+0x2f/0x90
Oct 18 08:12:07 susetest kernel:  io_schedule+0x12/0x40
Oct 18 08:12:07 susetest kernel:  __lock_page_or_retry+0x174/0x2e0
Oct 18 08:12:07 susetest kernel:  ? radix_tree_lookup_slot+0xe/0x20
Oct 18 08:12:07 susetest kernel:  ? page_cache_tree_insert+0xb0/0xb0
Oct 18 08:12:07 susetest kernel:  filemap_fault+0x14f/0x740
Oct 18 08:12:07 susetest kernel:  ? filemap_map_pages+0x1f6/0x390
Oct 18 08:12:07 susetest kernel:  ext4_filemap_fault+0x2c/0x3b
Oct 18 08:12:07 susetest kernel:  __do_fault+0x20/0xe0
Oct 18 08:12:07 susetest kernel:  handle_pte_fault+0x921/0xfe0
Oct 18 08:12:07 susetest kernel:  __handle_mm_fault+0x3ed/0x540
Oct 18 08:12:07 susetest kernel:  handle_mm_fault+0xfd/0x240
Oct 18 08:12:07 susetest kernel:  __do_page_fault+0x211/0x4e0
Oct 18 08:12:07 susetest kernel:  ? async_page_fault+0x8/0x30
Oct 18 08:12:07 susetest kernel:  async_page_fault+0x1e/0x30
Oct 18 08:12:07 susetest kernel: RIP: 0033:0x7f936949d3b0
Oct 18 08:12:07 susetest kernel: Code: Bad RIP value.
Oct 18 08:12:07 susetest kernel: RSP: 002b:00007f9368a09fe8 EFLAGS: 00013246
Oct 18 08:12:07 susetest kernel: RAX: 00007f936949d3b0 RBX: 000055aefbb62c70 RCX: 00007f9364008be0
Oct 18 08:12:07 susetest kernel: RDX: 000055aefbb44cd0 RSI: 0000000000000001 RDI: 000055aefbb44cd0
Oct 18 08:12:07 susetest kernel: RBP: 0000000000000015 R08: 000055aefb552b60 R09: 0000000000000007
Oct 18 08:12:07 susetest kernel: R10: 00000000ffffffff R11: 0000000000000000 R12: 0000000000000001
Oct 18 08:12:07 susetest kernel: R13: 00007f9368a0a01c R14: 00007ffd2caa3f70 R15: 00007ffd2caa3f70
Oct 18 08:12:07 susetest kernel: dbus-daemon     D    0  1637   1616 0x00000000
Oct 18 08:12:07 susetest kernel: Call Trace:
Oct 18 08:12:07 susetest kernel:  ? __schedule+0x29a/0x880
Oct 18 08:12:07 susetest kernel:  schedule+0x2f/0x90
Oct 18 08:12:07 susetest kernel:  io_schedule+0x12/0x40
Oct 18 08:12:07 susetest kernel:  __lock_page_or_retry+0x174/0x2e0
Oct 18 08:12:07 susetest kernel:  ? radix_tree_lookup_slot+0xe/0x20
Oct 18 08:12:07 susetest kernel:  ? page_cache_tree_insert+0xb0/0xb0
Oct 18 08:12:07 susetest kernel:  filemap_fault+0x14f/0x740
Oct 18 08:12:07 susetest kernel:  ? filemap_map_pages+0x1f6/0x390
Oct 18 08:12:07 susetest kernel:  ext4_filemap_fault+0x2c/0x3b
Oct 18 08:12:07 susetest kernel:  __do_fault+0x20/0xe0
Oct 18 08:12:07 susetest kernel:  handle_pte_fault+0x921/0xfe0
Oct 18 08:12:07 susetest kernel:  __handle_mm_fault+0x3ed/0x540
Oct 18 08:12:07 susetest kernel:  handle_mm_fault+0xfd/0x240
Oct 18 08:12:07 susetest kernel:  __do_page_fault+0x211/0x4e0
Oct 18 08:12:07 susetest kernel:  ? async_page_fault+0x8/0x30
Oct 18 08:12:07 susetest kernel:  async_page_fault+0x1e/0x30
Oct 18 08:12:07 susetest kernel: RIP: 0033:0x7f8cc63436fa
Oct 18 08:12:07 susetest kernel: Code: Bad RIP value.
Oct 18 08:12:07 susetest kernel: RSP: 002b:00007fff1cdd1bb8 EFLAGS: 00010246
Oct 18 08:12:07 susetest kernel: RAX: 0000000000000030 RBX: 000055bc18872b20 RCX: 0000000000000024
Oct 18 08:12:07 susetest kernel: RDX: 0000000000000000 RSI: 000055bc18593d24 RDI: 000055bc18872c30
Oct 18 08:12:07 susetest kernel: RBP: 0000000000000004 R08: 000000000000006c R09: 0000000000000000
Oct 18 08:12:07 susetest kernel: R10: 0000000000000000 R11: 0000000000000246 R12: 000055bc18593d24
Oct 18 08:12:07 susetest kernel: R13: 000055bc18593d31 R14: 000055bc187c3df0 R15: 0000000000000000
Oct 18 08:12:07 susetest kernel: firefox         D    0  4935   2566 0x00000000
Oct 18 08:12:07 susetest kernel: Call Trace:
Oct 18 08:12:07 susetest kernel:  ? __schedule+0x29a/0x880
Oct 18 08:12:07 susetest kernel:  schedule+0x2f/0x90
Oct 18 08:12:07 susetest kernel:  io_schedule+0x12/0x40
Oct 18 08:12:07 susetest kernel:  __lock_page_or_retry+0x174/0x2e0
Oct 18 08:12:07 susetest kernel:  ? radix_tree_lookup_slot+0xe/0x20
Oct 18 08:12:07 susetest kernel:  ? page_cache_tree_insert+0xb0/0xb0
Oct 18 08:12:07 susetest kernel:  filemap_fault+0x14f/0x740
Oct 18 08:12:07 susetest kernel:  ? filemap_map_pages+0x1f6/0x390
Oct 18 08:12:07 susetest kernel:  ext4_filemap_fault+0x2c/0x3b
Oct 18 08:12:07 susetest kernel:  __do_fault+0x20/0xe0
Oct 18 08:12:07 susetest kernel:  handle_pte_fault+0x921/0xfe0
Oct 18 08:12:07 susetest kernel:  __handle_mm_fault+0x3ed/0x540
Oct 18 08:12:07 susetest kernel:  handle_mm_fault+0xfd/0x240
Oct 18 08:12:07 susetest kernel:  __do_page_fault+0x211/0x4e0
Oct 18 08:12:07 susetest kernel:  ? async_page_fault+0x8/0x30
Oct 18 08:12:07 susetest kernel:  async_page_fault+0x1e/0x30
Oct 18 08:12:07 susetest kernel: RIP: 0033:0x7f7187e686e0
Oct 18 08:12:07 susetest kernel: Code: Bad RIP value.
Oct 18 08:12:07 susetest kernel: RSP: 002b:00007ffd68eb43b8 EFLAGS: 00010246
Oct 18 08:12:07 susetest kernel: RAX: 00007f718c279d10 RBX: 00007f716486dd90 RCX: 000000000000fc48
Oct 18 08:12:07 susetest kernel: RDX: 00007ffd68eb43c0 RSI: 00007f718a4f3890 RDI: 00007f716486dd90
Oct 18 08:12:07 susetest kernel: RBP: 00007f715f3fee60 R08: 0000000000000100 R09: 00007f717ccfe028
Oct 18 08:12:07 susetest kernel: R10: 0001000010000100 R11: 0000000000000002 R12: 00007f71839b5b00
Oct 18 08:12:07 susetest kernel: R13: 00007f7182e06000 R14: 00007ffd68eb4560 R15: 0000000000000000
Oct 18 08:12:07 susetest kernel: Web Content     D    0  5028   4946 0x00000100
Oct 18 08:12:07 susetest kernel: Call Trace:
Oct 18 08:12:07 susetest kernel:  ? __schedule+0x29a/0x880
Oct 18 08:12:07 susetest kernel:  schedule+0x2f/0x90
Oct 18 08:12:07 susetest kernel:  io_schedule+0x12/0x40
Oct 18 08:12:07 susetest kernel:  __lock_page_or_retry+0x174/0x2e0
Oct 18 08:12:07 susetest kernel:  ? radix_tree_lookup_slot+0xe/0x20
Oct 18 08:12:07 susetest kernel:  ? page_cache_tree_insert+0xb0/0xb0
Oct 18 08:12:07 susetest kernel:  filemap_fault+0x14f/0x740
Oct 18 08:12:07 susetest kernel:  ? filemap_map_pages+0x1f6/0x390
Oct 18 08:12:07 susetest kernel:  ext4_filemap_fault+0x2c/0x3b
Oct 18 08:12:07 susetest kernel:  __do_fault+0x20/0xe0
Oct 18 08:12:07 susetest kernel:  handle_pte_fault+0x921/0xfe0
Oct 18 08:12:07 susetest kernel:  __handle_mm_fault+0x3ed/0x540
Oct 18 08:12:07 susetest kernel:  handle_mm_fault+0xfd/0x240
Oct 18 08:12:07 susetest kernel:  __do_page_fault+0x211/0x4e0
Oct 18 08:12:07 susetest kernel:  ? async_page_fault+0x8/0x30
Oct 18 08:12:07 susetest kernel:  async_page_fault+0x1e/0x30
Oct 18 08:12:07 susetest kernel: RIP: 0033:0x7f3a1cc55ec0
Oct 18 08:12:07 susetest kernel: Code: Bad RIP value.
Oct 18 08:12:07 susetest kernel: RSP: 002b:00007ffe2a43a648 EFLAGS: 00010212
Oct 18 08:12:07 susetest kernel: RAX: 0000000000000071 RBX: 00007f3a0adee378 RCX: 0000000000000000
Oct 18 08:12:07 susetest kernel: RDX: 00007f3a1f567980 RSI: 00007ffe2a43a650 RDI: 00007f3a0adee378
Oct 18 08:12:07 susetest kernel: RBP: 00007f3a0d6a2a00 R08: 0000000000000000 R09: 00007f3a251000f8
Oct 18 08:12:07 susetest kernel: R10: 0000000000000001 R11: 00007f3a0d763880 R12: 0000000000000004
Oct 18 08:12:07 susetest kernel: R13: 00007ffe2a43a778 R14: 00007ffe2a43aab7 R15: 00007ffe2a43a650
Oct 18 08:12:07 susetest kernel: Web Content     D    0  5113   4946 0x00000100
Oct 18 08:12:07 susetest kernel: Call Trace:
Oct 18 08:12:07 susetest kernel:  ? __schedule+0x29a/0x880
Oct 18 08:12:07 susetest kernel:  schedule+0x2f/0x90
Oct 18 08:12:07 susetest kernel:  io_schedule+0x12/0x40
Oct 18 08:12:07 susetest kernel:  __lock_page_or_retry+0x174/0x2e0
Oct 18 08:12:07 susetest kernel:  ? radix_tree_lookup_slot+0xe/0x20
Oct 18 08:12:07 susetest kernel:  ? page_cache_tree_insert+0xb0/0xb0
Oct 18 08:12:07 susetest kernel:  filemap_fault+0x14f/0x740
Oct 18 08:12:07 susetest kernel:  ? filemap_map_pages+0x1f6/0x390
Oct 18 08:12:07 susetest kernel:  ext4_filemap_fault+0x2c/0x3b
Oct 18 08:12:07 susetest kernel:  __do_fault+0x20/0xe0
Oct 18 08:12:07 susetest kernel:  handle_pte_fault+0x921/0xfe0
Oct 18 08:12:07 susetest kernel:  __handle_mm_fault+0x3ed/0x540
Oct 18 08:12:07 susetest kernel:  handle_mm_fault+0xfd/0x240
Oct 18 08:12:07 susetest kernel:  __do_page_fault+0x211/0x4e0
Oct 18 08:12:07 susetest kernel:  ? async_page_fault+0x8/0x30
Oct 18 08:12:07 susetest kernel:  async_page_fault+0x1e/0x30
Oct 18 08:12:07 susetest kernel: RIP: 0033:0x7f1e022aec30
Oct 18 08:12:07 susetest kernel: Code: Bad RIP value.
Oct 18 08:12:07 susetest kernel: RSP: 002b:00007fffe77c5648 EFLAGS: 00010206
Oct 18 08:12:07 susetest kernel: RAX: 00007f1e0662d128 RBX: 00007f1df66b0aa8 RCX: 0000000000000042
Oct 18 08:12:07 susetest kernel: RDX: 0000000000000000 RSI: 0000000000000000 RDI: 00007f1df66b0a60
Oct 18 08:12:07 susetest kernel: RBP: 00007fffe77c5e10 R08: 0000000000000016 R09: 0000000000000020
Oct 18 08:12:07 susetest kernel: R10: 00007f1e0c33ac80 R11: 00007fffe77c5f30 R12: 00007fffe77c5df0
Oct 18 08:12:07 susetest kernel: R13: 00007fffe77c5b60 R14: 00007f1df66b0a60 R15: 00007fffe77c5700
Oct 18 08:12:09 susetest systemd[1]: Started Getty on tty5.
Oct 18 08:12:16 susetest systemd-logind[976]: New session 5 of user root.
Oct 18 08:12:17 susetest systemd[1]: Created slice User Slice of root.
Oct 18 08:12:17 susetest systemd[1]: Started Session 5 of user root.
Oct 18 08:12:17 susetest systemd[1]: Starting User Manager for UID 0...
Oct 18 08:12:17 susetest systemd[5152]: pam_unix(systemd-user:session): session opened for user root by (uid=0)
Oct 18 08:12:20 susetest systemd[5152]: Starting D-Bus User Message Bus Socket.
Oct 18 08:12:20 susetest systemd[5152]: Reached target Timers.
Oct 18 08:12:20 susetest systemd[5152]: Reached target Paths.
Oct 18 08:12:20 susetest systemd[5152]: Listening on D-Bus User Message Bus Socket.
Oct 18 08:12:20 susetest systemd[5152]: Reached target Sockets.
Oct 18 08:12:20 susetest systemd[5152]: Reached target Basic System.
Oct 18 08:12:20 susetest systemd[1]: Started User Manager for UID 0.
Oct 18 08:12:20 susetest systemd[5152]: Reached target Default.
Oct 18 08:12:20 susetest systemd[5152]: Startup finished in 2.685s.
Oct 18 08:12:20 susetest login[5149]: pam_unix(login:session): session opened for user root by LOGIN(uid=0)
Oct 18 08:12:21 susetest login[5149]: ROOT LOGIN ON tty5
Oct 18 08:12:27 susetest kernel: Chrome_~dThread[5117]: segfault at 0 ip 00007f1e00ce45a9 sp 00007f1dff307b00 error 6 in libxul.so[7f1e00cd0000+3c59000]
Oct 18 08:12:27 susetest kernel: Code: 15 34 91 89 04 48 89 10 c7 04 25 00 00 00 00 6e 09 00 00 e8 29 5d ff ff 90 48 8b 05 89 46 c4 05 48 8d 0d 7a 91 89 04 48 89 08 <c7> 04 25 00 00 00 00 f4 09 00 00 e8 07 5d ff ff e8 22 f3 ff ff 48 
Oct 18 08:12:27 susetest kernel: Chrome_~dThread[5073]: segfault at 0 ip 00007f8f765925a9 sp 00007f8f74bb5b00 error 6 in libxul.so[7f8f7657e000+3c59000]
Oct 18 08:12:27 susetest kernel: Code: 15 34 91 89 04 48 89 10 c7 04 25 00 00 00 00 6e 09 00 00 e8 29 5d ff ff 90 48 8b 05 89 46 c4 05 48 8d 0d 7a 91 89 04 48 89 08 <c7> 04 25 00 00 00 00 f4 09 00 00 e8 07 5d ff ff e8 22 f3 ff ff 48 
Oct 18 08:12:48 susetest dbus-daemon[957]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service' requested by ':1.60' (uid=0 pid=5223 comm="systemd-analyze plot ")
Oct 18 08:12:48 susetest systemd[1]: Starting Hostname Service...
Oct 18 08:12:48 susetest dbus-daemon[957]: [system] Successfully activated service 'org.freedesktop.hostname1'
Oct 18 08:12:48 susetest systemd[1]: Started Hostname Service.

Full log
https://openqa.opensuse.org/tests/777098/file/ristretto-journal.log